/**********************************************************************
 Copyright (c) 2007 Roger Blum, Pascal N�esch and others. All rights reserved.
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

 Contributors:
 ...
 **********************************************************************/
package org.datanucleus.store.mapped.mapping.ao;

import com.esri.arcgis.geometry.Path;
import com.esri.arcgis.geometry.Point;
import com.esri.arcgis.geometry.Polyline;

/**
 * Mapping for com.esri.arcgis.geometry.Polylilne to its datastore representation.
 */
public class PolylineMapping extends GeometryMapping
{
    private static final Polyline sampleValue;
    static
    {
        sampleValue = new Polyline();

        Point p1 = new Point();
        Point p2 = new Point();
        Point p3 = new Point();
        Point p4 = new Point();
        Point p5 = new Point();
        Point p6 = new Point();

        p1.putCoords(10.0, 15.0);
        p2.putCoords(20.0, 25.0);
        p3.putCoords(30.0, 35.0);
        p4.putCoords(40.0, 45.0);
        p5.putCoords(50.0, 55.0);
        p6.putCoords(60.0, 65.0);

        Path path1 = new Path();
        Path path2 = new Path();

        path1.addPoint(p1, null, null);
        path1.addPoint(p2, null, null);
        path1.addPoint(p3, null, null);
        path2.addPoint(p4, null, null);
        path2.addPoint(p5, null, null);
        path2.addPoint(p6, null, null);

        sampleValue.addGeometry(path1, null, null);
        sampleValue.addGeometry(path2, null, null);
    }

    public Class getJavaType()
    {
        return Polyline.class;
    }

    protected Object getSampleValue()
    {
        return sampleValue;
    }
}
